<template>
  <div>
    <LHeader :text="text"></LHeader>
    <van-search v-model="searchValue" placeholder="搜索" @search="onSearch" />
     <!-- 内容列表 -->
     <!-- 接口对接4 START -->
    <div class="con-list" @touchmove="showIndex = null">
      <van-cell-group
        inset
        v-for="(item, index) in messageList"
        :key="index"
        @click="touchstart(index, item)"
      >

        <van-row gutter="">
          <van-col span="7">隐患编号:</van-col>
          <van-col span="17">{{ item.businessId }}</van-col>
        </van-row>
      
        <van-row gutter="">
          <van-col span="7">隐患项目名称:</van-col>
          <van-col span="17">{{ item.proId }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="7">隐患级别:</van-col>
          <van-col span="17">{{ item.hdLev }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="7">发现时间:</van-col>
          <van-col span="17">{{ item.startDate }}</van-col>
        </van-row>
   <!-- *接口对接4 END -->

        <!-- 长按显示遮罩层 -->
        <van-overlay :show="showIndex == index">
          <div class="wrapper" @click.stop ="showIndex = null">
            <van-button round type="primary" @click="goDetail(item)"
              >详情</van-button
            >
             <van-button round type="info" @click="goConfirm(item)"
              >审批</van-button
            >
          </div>
        </van-overlay>
      </van-cell-group>
    </div>
    <!-- 暂无数据 -->
    <div
      style="width: 100%;text-align: center; font-size: .48rem;position: fixed; top: 30%;"
      v-if="isHaveNews"
    >
      暂无数据
    </div>

  </div>
</template>

<script>
import LHeader from "@/components/header.vue";
import { delayList } from "@/service/danger";



export default {
  components: {
    LHeader,
  },
  data() {
    return {
      text: "延期审批",
      searchValue: "",
      isHaveNews: false,
       messageList: [],
      Loop: "", // 定时器
      showIndex: null // 是否显示遮罩层
    };
  },
   created() {
    this.getList();
  },
  methods: {
    getList() {
      /*接口对接3 START*/
      // 例子：
      this.$toast.loading({
        message: "加载中...",
        forbidClick: true,
        loadingType: "spinner",
        duration: 0
      });
      delayList("/delayApply/list")
        .then(res => {
          this.$toast.clear();
          this.messageList = res.rows
            // 判断有无数据返回
          if (this.messageList.length == 0) {
            this.isHaveNews = true;
          }
          
        })
        .catch(() => {
          this.$toast.clear();
          this.$toast.fail("加载失败,请稍后再试");
        });
      /*接口对接3 END*/
    },
    onSearch(val) {
    },

    touchstart(index, item) {
      if (this.showIndex != null) {
        this.showIndex = null;
        return
      }
      this.showIndex = index;
    },
  

    // 详情
    goDetail(data) {
      this.$router.push({
        name: "risk-big-detail",
        params: {
          id: data.businessId
        }
      });
      this.showIndex = null;
    },
    // 审批
    goConfirm(data) {
      this.$router.push({
        name:"ratify-info",
        params:{
          "taskId":data.taskId
        }
      });
      this.showIndex = null;
    }
  }
};
</script>
<style lang="less" scoped>
/* @import url(); 引入css类 */
.con-list {
  padding: 10px 10px .533333rem;
  background-color: #f0f1f5;
  .van-cell-group--inset {
    margin: 0;
    margin-bottom: 10px;
    padding: 10px;
    font-size: 13px;
    position: relative;
    .van-row{
      margin-bottom: .133333rem;
      line-height: .64rem;
    }
    .van-overlay {
      position: absolute;
      .wrapper {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        height: 100%;
      }
    }
  }
}
</style>
